io.undertow.server

## Class HttpServerExchange.WrapperStreamSinkConduitFactory

- java.lang.Object
- - io.undertow.server.HttpServerExchange.WrapperStreamSinkConduitFactory

All Implemented Interfaces:
  ConduitFactory<org.xnio.conduits.StreamSinkConduit>

Enclosing class:
  HttpServerExchange

    public static class HttpServerExchange.WrapperStreamSinkConduitFactory
    extends Object
    implements ConduitFactory<org.xnio.conduits.StreamSinkConduit>

### Constructor Summary

Constructors
Constructor and Description
`WrapperStreamSinkConduitFactory(ConduitWrapper<org.xnio.conduits.StreamSinkConduit>[] wrappers, int wrapperCount, HttpServerExchange exchange, org.xnio.conduits.StreamSinkConduit first)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.xnio.conduits.StreamSinkConduit` `create()` Create the channel instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrapperStreamSinkConduitFactory

    public WrapperStreamSinkConduitFactory(ConduitWrapper<org.xnio.conduits.StreamSinkConduit>[] wrappers,
                                           int wrapperCount,
                                           HttpServerExchange exchange,
                                           org.xnio.conduits.StreamSinkConduit first)

### Method Detail

#### create

    public org.xnio.conduits.StreamSinkConduit create()

Description copied from interface: `ConduitFactory`
Create the channel instance.

Specified by:
  `create` in interface `ConduitFactory<org.xnio.conduits.StreamSinkConduit>`
Returns:
  the channel instance